<?php

declare(strict_types=1);

namespace App\Domain\Shared\Domain\Contract;

interface CommandHandlerInterface
{
    /**
     * @template T of CommandInterface
     * @param T $command
     * @return void
     */
    public function handle(CommandInterface $command): void;
}
